        integer function jlen(row)
c
c jlen : length of non-blank character string inside 'row'
c a.tento 5/03 v.1.0 
c
        character*(*) row
c
c
        integer i, ilen
        character*1 blank
        data blank/' '/
c
c
        ilen = len(row)
        do 1 i = 1, ilen
        jlen = ilen + 1 - i
        if ( row(jlen:jlen)   .ne.   blank )  goto 10
1       continue
c
        jlen = 0
c
10      return
c
c
        end
